Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Interface JdbcCatalogQueryManager

All Superinterfaces:
  BusinessSmartComponent, CatalogService, EJBObject, JdbcCatalogService, Remote, Serializable, Session

public interface JdbcCatalogQueryManager
extends JdbcCatalogService

JDBC-specific `CatalogQueryManager` service implementation.

See Also:
  `JdbcCatalogQueryManagerHome`, `JdbcCatalogQueryManagerImpl`

Method Summary
`ProductItemKey[]` | `search(CatalogRequest request, CatalogQuery query)` Returns the results of the search peformed using the supplied catalog query object.
`ViewIterator` | `search(CatalogRequest request, CatalogQuery query, int viewSize)` Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.
`CategoryKey[]` | `searchCategories(CatalogRequest request, CatalogQuery query)` Returns the results of the search peformed using the supplied catalog query object for categories.

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.CatalogService
`getCatalogManager`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### search

    public ProductItemKey[] search(CatalogRequest request,
                                   CatalogQuery query)
                            throws RemoteException,
                                   CatalogException

  Returns the results of the search peformed using the supplied catalog query object.

  Parameters:
    `request` - The catalog request object.
  Returns:
    An array of product item keys.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### search

    public ViewIterator search(CatalogRequest request,
                               CatalogQuery query,
                               int viewSize)
                        throws RemoteException,
                               CatalogException

  Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.

  Parameters:
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns:
    A ViewIterator over the product items returned by the search.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### searchCategories

    public CategoryKey[] searchCategories(CatalogRequest request,
                                          CatalogQuery query)
                                   throws RemoteException,
                                          CatalogException

  Returns the results of the search peformed using the supplied catalog query object for categories.

  Parameters:
    `request` - The catalog request object.
  Returns:
    An array of category keys.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved